appler
Computer
- May 7, 2003
- 1
Here is a problem in programming with SolidEdge v11 (by VB) need your help!
To assemble two ".par" can be easily done by the major codes as follows:
Set objTemp1 = objFirstPart.PartDocument.Models(1).ExtrudedCutouts(1).SideFaces(1)
Set objRef1 = objDoc.CreateReference(Occurrence:=objFirstPart, entity:=objTemp1)
Set objTemp2 = objSecondPart.PartDocument.Models(1).RevolvedProtrusions(1).SideFaces(2)
Set objRef2 = objDoc.CreateReference(Occurrence:=objSecondPart, entity:=objTemp2)
Call objSecondPart.Relations3d(1).Delete
Set objAxial = objDoc.Relations3d.AddAxial(Axis1:=objRef1, Axis2:=objRef2, NormalsAligned:=True)
But how to assemble two ".asm" ? I have tried some times but failed.
Can you lend me a hand?
Thank you very much!!
To assemble two ".par" can be easily done by the major codes as follows:
Set objTemp1 = objFirstPart.PartDocument.Models(1).ExtrudedCutouts(1).SideFaces(1)
Set objRef1 = objDoc.CreateReference(Occurrence:=objFirstPart, entity:=objTemp1)
Set objTemp2 = objSecondPart.PartDocument.Models(1).RevolvedProtrusions(1).SideFaces(2)
Set objRef2 = objDoc.CreateReference(Occurrence:=objSecondPart, entity:=objTemp2)
Call objSecondPart.Relations3d(1).Delete
Set objAxial = objDoc.Relations3d.AddAxial(Axis1:=objRef1, Axis2:=objRef2, NormalsAligned:=True)
But how to assemble two ".asm" ? I have tried some times but failed.
Can you lend me a hand?
Thank you very much!!